package cn.com.ty.lift.business.common;

/**
 * @author wcz
 * @Description: 定义系统的一些常量
 * @date 2019/12/31 9:18
 */
public interface Values {

    /**
     * 年检未开始0
     */
    int AI_STEP_NOT_START = 0;

    /**
     * 判断年检是否开始
     * @param step
     * @return
     */
    static boolean aiNotStart(int step){
        return AI_STEP_NOT_START == step;
    }
    /**
     * 年检 第一阶段
     */
    int AI_STEP_ONE = 1;

    /**
     * 判断是否为年检阶段一
     * @param step
     * @return
     */
    static boolean aiStepOne(int step){
        return AI_STEP_ONE == step;
    }
    /**
     * 年检 第二阶段
     */
    int AI_STEP_TWO = 2;

    /**
     * 判断是否为年检阶段二
     * @param step
     * @return
     */
    static boolean aiStepTwo(int step){
        return AI_STEP_TWO == step;
    }
    /**
     * 年检 第三阶段
     */
    int AI_STEP_THREE = 3;

    /**
     * 判断是否为年检阶段三
     * @param step
     * @return
     */
    static boolean aiStepThree(int step){
        return AI_STEP_THREE == step;
    }
    /**
     * 年检 第四阶段
     */
    int AI_STEP_FOUR = 4;

    /**
     * 判断是否为年检阶段四
     * @param step
     * @return
     */
    static boolean aiStepFour(int step){
        return AI_STEP_FOUR == step;
    }

    /**
     * 0 年检计划初始状态
     */
    int AI_STATUS_NOT_START = 0;

    static boolean aiStatusNotStart(int status){
        return AI_STEP_NOT_START == status;
    }
    /**
     * 1  维保工确认年检计划
     */
    int AI_STATUS_COMFIRM = 1;

    static boolean aiStatusComfirm(int status){
        return AI_STATUS_COMFIRM == status;
    }
    /**
     * 2  维保工上传自检报告,选择自检时间 或者 文员设置 是否检查限速器和荷载年检设置，
     *             文员也可以上传自检报告或者确认自检报告和自检时间，自检时间以最后设置的为准
     */
    int AI_STATUS_SELFCHECK = 2;

    static boolean aiStatusSelfcheck(int status){
        return AI_STATUS_SELFCHECK == status;
    }
    /**
     * 3  企业文员确认现场检验时间
     *             录入人员信息，政府质检，企业质检，联系电话
     */
    int AI_STATUS_CHECK_COMFIRM = 3;

    static boolean aiStatusCheckComfirm(int status){
        return AI_STATUS_CHECK_COMFIRM == status;
    }
    /**
     * 4	维保工上传检验结果
     */
    int AI_STATUS_CHECK_UPLOAD = 4;

    static boolean aiStatusCheckUpload(int status){
        return AI_STATUS_CHECK_UPLOAD == status;
    }
    /**
     * 5	企业文员确认检验结果-合格 --> 不能算年检超期
     */
    int AI_STATUS_CHECK_QUALIFIED = 5;

    static boolean aiStatusCheckQualified(int status){
        return AI_STATUS_CHECK_QUALIFIED == status;
    }
    /**
     * 6	企业文员确认检验结果-整改 --> 回到第二阶段
     */
    int AI_STATUS_CHECK_RECTIFICATION = 6;

    static boolean aiStatusCheckRectification(int status){
        return AI_STATUS_CHECK_RECTIFICATION == status;
    }
    /**
     * 7	企业文员确认检验结果-不合格 --> 可以算年检超期
     */
    int AI_STATUS_CHECK_UNQUALIFIED = 7;

    static boolean aiStatusCheckUnqualified(int status){
        return AI_STATUS_CHECK_UNQUALIFIED == status;
    }
    /**
     * 8	维保工上传年检报告和合格证
     */
    int AI_STATUS_CERTIFICATE_REPORT_UPLOAD = 8;

    static boolean aiStatusCertificateReportUpload(int status){
        return AI_STATUS_CERTIFICATE_REPORT_UPLOAD == status;
    }
    /**
     * 9	企业文员确认年检报告和合格证-合格
     */
    int AI_STATUS_CERTIFICATE_REPORT_QUALIFIED = 9;

    static boolean aiStatusCertificateReportQualified(int status){
        return AI_STATUS_CERTIFICATE_REPORT_QUALIFIED == status;
    }
    /**
     * 10	企业文员确认年检报告和合格证-不合格 -->停用电梯
     */
    int AI_STATUS_CERTIFICATE_REPORT_UNQUALIFIED = 10;

    static boolean aiStatusCertificateReportUnqualified(int status){
        return AI_STATUS_CERTIFICATE_REPORT_UNQUALIFIED == status;
    }
    /**
     * 急修状态（-1 暂停中）
     */
    int ER_STATUS_STOPING = -1;

    static boolean erStatusStoping(int status){
        return ER_STATUS_STOPING == status;
    }
    /**
     * 急修状态（0 待修理）
     */
    int ER_STATUS_TO_REPAIRED = 0;

    static boolean erStatusToRepaired(int status){
        return ER_STATUS_TO_REPAIRED == status;
    }
    /**
     * 急修状态（1 修理中）
     */
    int ER_STATUS_REPAIRING = 1;

    static boolean erStatusRepairing(int status){
        return ER_STATUS_REPAIRING == status;
    }
    /**
     * 急修状态（2 完成）
     */
    int ER_STATUS_FINISH = 2;

    static boolean erStatusFinish(int status){
        return ER_STATUS_FINISH == status;
    }
    /**
     * 急修状态（3 关闭）
     */
    int ER_STATUS_CLOSE = 3;
    static boolean erStatusClose(int status){
        return ER_STATUS_CLOSE == status;
    }
    /**
     * 根据年检的状态值返回成年检的状态阶段
     * @param stepStatus
     * @return
     */
    static int aiStatus2StepName(Integer stepStatus){
        int stepName;
        switch (stepStatus){
            case AI_STATUS_NOT_START:
                stepName = 0;
                break;
            case AI_STATUS_COMFIRM:
            case AI_STATUS_SELFCHECK:
                stepName = 1;
                break;
            case AI_STATUS_CHECK_COMFIRM:
                stepName = 2;
                break;
            case AI_STATUS_CHECK_UPLOAD:
            case AI_STATUS_CHECK_QUALIFIED:
            case AI_STATUS_CHECK_RECTIFICATION:
            case AI_STATUS_CHECK_UNQUALIFIED:
                stepName = 3;
                break;
            case AI_STATUS_CERTIFICATE_REPORT_UPLOAD:
            case AI_STATUS_CERTIFICATE_REPORT_QUALIFIED:
            case AI_STATUS_CERTIFICATE_REPORT_UNQUALIFIED:
                stepName = 4;
                break;
            default:
                stepName = -1;
                break;
        }
        return stepName;
    }


    /**
     * 判断年检状态是否处于其他阶段之间 min < middle < max
     * @param middle
     * @param min
     * @param max
     * @return
     */
    static boolean aiInStatus(int min, int middle,int max){
        return min <= middle && middle <= max;
    }

    /**
     * 判断两个年检状态是否一样 one == two
     * @param one
     * @param two
     * @return
     */
    static boolean aiSameStatus(int one,int two){
        return one == two;
    }

    /**
     * 判断年检中一个状态是否为另一个状态的下一个状态
     * @param front
     * @param behind
     * @return
     */
    static boolean aiNextStatus(int front,int behind){
        return front + 1 == behind;
    }

    /**
     * 判断年检中两个状态相同或者为下一个状态
     * @param front
     * @param behind
     * @return
     */
    static boolean aiSameNext(int front,int behind){
        return front == behind || front + 1 == behind;
    }
}
