package cn.com.ty.lift.business.emergency.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 急修费用单
 * </p>
 *
 * @author wcz
 * @since 2019-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ErCostItem implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("id")
    private Long id;

    /**
     * 急修费用单id
     */
    @TableField("er_record_id")
    private Long erRecordId;

    /**
     * 费用名称
     */
    @TableField("cost_name")
    private String costName;

    /**
     * 应收金额
     */
    @TableField("cost_money")
    private BigDecimal costMoney;

    /**
     * 应收日期
     */
    @TableField("cost_date")
    private LocalDate costDate;

    /**
     * 费用描述
     */
    @TableField("cost_desc")
    private String costDesc;

    /**
     * 实收金额
     */
    @TableField("pay_money")
    private BigDecimal payMoney;

    /**
     * 实收日期
     */
    @TableField("pay_date")
    private LocalDate payDate;

    /**
     * 开票金额
     */
    @TableField("invoice_money")
    private BigDecimal invoiceMoney;

    /**
     * 开票日期
     */
    @TableField("invoice_date")
    private LocalDate invoiceDate;

    /**
     * 开票附件
     */
    @TableField("invoice_enclosure")
    private String invoiceEnclosure;


}
