package cn.com.ty.lift.quan.pay.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 用户资金表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Pay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @TableId("user_id")
    private Long userId;

    /**
     * 支付宝账号
     */
    @TableField("alipay_account")
    private String alipayAccount;

    /**
     * 支付宝用户id
     */
    @TableField("alipay_id")
    private String alipayId;

    /**
     * 用户的余额
     */
    @TableField("money")
    private BigDecimal money;

    /**
     * 用户提现时，冻结的余额
     */
    @TableField("freeze_money")
    private BigDecimal freezeMoney;
}
